Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.puremvc.java.interfaces
Interface IView

All Known Implementing Classes:
  View

    public interface IView

The interface definition for a PureMVC View.

In PureMVC, `IView` implementors assume these responsibilities:

In PureMVC, the `View` class assumes these responsibilities:

- Maintain a cache of `IMediator` instances.
- Provide methods for registering, retrieving, and removing `IMediators`.
- Managing the observer lists for each `INotification` in the application.
- Providing a method for attaching `IObservers` to an `INotification`'s observer list.
- Providing a method for broadcasting an `INotification`.
- Notifying the `IObservers` of a given `INotification` when it broadcast.

See Also:
  `IMediator`, `IObserver`, `INotification`

Method Summary
`boolean` | `hasMediator(java.lang.String mediatorName)` Check if a Mediator is registered or not
`void` | `notifyObservers(INotification note)` Notify the `IObservers` for a particular `INotification`.
`void` | `registerMediator(IMediator mediator)` Register an `IMediator` instance with the `View`.
`void` | `registerObserver(java.lang.String noteName, IObserver observer)` Register an `IObserver` to be notified of `INotifications` with a given name.
`IMediator` | `removeMediator(java.lang.String mediatorName)` Remove an `IMediator` from the `View`.
`IMediator` | `retrieveMediator(java.lang.String mediatorName)` Retrieve an `IMediator` from the `View`.

Method Detail

### registerObserver

    void registerObserver(java.lang.String noteName,
                          IObserver observer)

  Register an `IObserver` to be notified of `INotifications` with a given name.

  Parameters:
    `noteName` - the name of the `INotifications` to notify this `IObserver` of
    `observer` - the `IObserver` to register

### notifyObservers

    void notifyObservers(INotification note)

  Notify the `IObservers` for a particular `INotification`.

  All previously attached `IObservers` for this `INotification`'s list are notified and are passed a reference to the `INotification` in the order in which they were registered.

  Parameters:
    `note` - the `INotification` to notify `IObservers` of.

### registerMediator

    void registerMediator(IMediator mediator)

  Register an `IMediator` instance with the `View`.

  Registers the `IMediator` so that it can be retrieved by name, and further interrogates the `IMediator` for its `INotification` interests.

  If the `IMediator` returns any `INotification` names to be notified about, an `Observer` is created encapsulating the `IMediator` instance's `handleNotification` method and registering it as an `Observer` for all `INotifications` the `IMediator` is interested in.

  Parameters:
    `mediator` - a reference to the `IMediator` instance

### retrieveMediator

    IMediator retrieveMediator(java.lang.String mediatorName)

  Retrieve an `IMediator` from the `View`.

  Parameters:
    `mediatorName` - the name of the `IMediator` instance to retrieve.
  Returns:
    the `IMediator` instance previously registered with the given `mediatorName`.

### removeMediator

    IMediator removeMediator(java.lang.String mediatorName)

  Remove an `IMediator` from the `View`.

  Parameters:
    `mediatorName` - name of the `IMediator` instance to be removed.

### hasMediator

    boolean hasMediator(java.lang.String mediatorName)

  Check if a Mediator is registered or not

  Parameters:
    `mediatorName` -
  Returns:
    whether a Mediator is registered with the given `mediatorName`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD